<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Classes/PlayerStats/PlayerStats.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('da/daa/_player_stats_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">PlayerStats.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../da/daa/_player_stats_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6">    1</a></span><span class="keyword">enum</span> <a class="code hl_enumeration" href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6">EPSstatsFlags</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6a2f0d18fc0d0fa4a6cd92dc328501874d">    3</a></span>    <a class="code hl_enumvalue" href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6a2f0d18fc0d0fa4a6cd92dc328501874d">EMPTY</a>,</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>};</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span> </div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html">    6</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d0/d80/class_player_stats.html">PlayerStats</a></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>{</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#af5dd42493182776c934d87a7926f400a">    8</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref PlayerStatBase&gt;</a> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#af5dd42493182776c934d87a7926f400a">m_PlayerStats</a>;</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a38fc46e2db96c77947d231d4d416e6c5">    9</a></span>    ref <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref StatDebugObject&gt;</a> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a38fc46e2db96c77947d231d4d416e6c5">m_PlayerStatsDebug</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    <span class="comment">//ref PlayerStatsPCO_current m_PCO = new PlayerStatsPCO_current();</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a8c0c17afdfb3cb8fa0c53a96304407f2">   12</a></span>    ref <a class="code hl_class" href="../../d3/dac/class_p_c_o_handler_stats.html">PCOHandlerStats</a> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a8c0c17afdfb3cb8fa0c53a96304407f2">m_PCOhandler</a> = <span class="keyword">new</span> <a class="code hl_class" href="../../d3/dac/class_p_c_o_handler_stats.html">PCOHandlerStats</a>();</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>    </div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#abe94de147cbd807e1ef870c590752f05">   14</a></span>    ref Timer <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#abe94de147cbd807e1ef870c590752f05">m_SyncTimer</a>;</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#ab27dbdf79781157043aecbbd21d01007">   15</a></span>    Man <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#ab27dbdf79781157043aecbbd21d01007">m_Player</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a92c91026dc86a7722585f8a63b669f58">   16</a></span>    <span class="keywordtype">bool</span> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a92c91026dc86a7722585f8a63b669f58">m_AllowLogs</a>;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a190d007d034d789b7713c98f4629d543">   17</a></span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a190d007d034d789b7713c98f4629d543">m_System</a> = <span class="stringliteral">&quot;Stats&quot;</span>; <span class="comment">//debuging tag</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    <span class="comment">//int m_SystemVersion = 101;</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#ae201f67f37685694568537d507126ebb">   21</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#ae201f67f37685694568537d507126ebb">PlayerStats</a>(Man player)</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    {</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        <a class="code hl_function" href="../../de/da7/_p_p_e_manager_8c.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a>(player);</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    }</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a1853863cde5eb2dc6f499ef455ad04eb">   26</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a1853863cde5eb2dc6f499ef455ad04eb">Init</a>(Man player)</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    {</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#ab27dbdf79781157043aecbbd21d01007">m_Player</a>        = player;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">   31</a></span>    <a class="code hl_class" href="../../da/d44/class_player_stats_p_c_o___base.html">PlayerStatsPCO_Base</a> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">GetPCO</a>(<span class="keywordtype">int</span> version = -1 )</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">return</span> <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a8c0c17afdfb3cb8fa0c53a96304407f2">m_PCOhandler</a>.<a class="code hl_function" href="../../d3/dac/class_p_c_o_handler_stats.html#ae73d7d1d2ff30b5f85efe250323b1b9e">GetPCO</a>(version);</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    }</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a0e3fd5adc703bc49e4c1afbe2a6f6598">   36</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a0e3fd5adc703bc49e4c1afbe2a6f6598">~PlayerStats</a>()</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    {</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="comment">//if( GetGame() &amp;&amp; GetGame().IsDebugActions() ) GatherAllRecords();</span></div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a67c0ed93fe9a680cdf7403ab52925933">   42</a></span>    <a class="code hl_class" href="../../d7/d7a/class_player_stat_base.html">PlayerStatBase</a> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a67c0ed93fe9a680cdf7403ab52925933">GetStatObject</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>)</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <a class="code hl_class" href="../../da/d44/class_player_stats_p_c_o___base.html">PlayerStatsPCO_Base</a> pco = <a class="code hl_function" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">GetPCO</a>();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <span class="keywordflow">if</span> ( pco )</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        {</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            <span class="keywordflow">return</span> pco.GetStatObject(<span class="keywordtype">id</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        }</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            <span class="keywordflow">return</span> null;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    }</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    </div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="comment">/*</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">    array&lt;ref PlayerStatBase&gt; Get()</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment">    {</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span><span class="comment">        return m_PlayerStats;</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span><span class="comment">    }</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span><span class="comment">*/</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a3a1cdd20dca30a598a334a2eafbbbd64">   61</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a3a1cdd20dca30a598a334a2eafbbbd64">SetAllowLogs</a>(<span class="keywordtype">bool</span> enable)</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a92c91026dc86a7722585f8a63b669f58">m_AllowLogs</a> = enable;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a7f9cc58b3cb18cfa5a036a6e75042d79">   66</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a7f9cc58b3cb18cfa5a036a6e75042d79">GetAllowLogs</a>()</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    {</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        <span class="keywordflow">return</span>  <a class="code hl_variable" href="../../d0/d80/class_player_stats.html#a92c91026dc86a7722585f8a63b669f58">m_AllowLogs</a>;    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    }</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a788cb0475def17c4d08f0dc533b1a5d2">   71</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a788cb0475def17c4d08f0dc533b1a5d2">GetDebugInfo</a>( <a class="code hl_class" href="../../d2/d41/classarray.html">array&lt;ref StatDebugObject&gt;</a> objects, <span class="keywordtype">int</span> flags )</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    {</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span><span class="comment">        for(int i = 0; i &lt; m_PlayerStats.Count(); i++)</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span><span class="comment">        {</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span><span class="comment">            m_PlayerStats.Get(i).SerializeValue(objects, flags);</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">        }</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment">        */</span></div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#ad4478ac6a6f16c3b08a38e88bb83898d">   81</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#ad4478ac6a6f16c3b08a38e88bb83898d">GatherAllRecords</a>()</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>    {</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="comment">/*</span></div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span><span class="comment">        FileHandle file = OpenFile(&quot;$profile:StatRecords.log&quot;, FileMode.WRITE);</span></div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span><span class="comment">        </span></div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span><span class="comment">        FPrintln(file, &quot;================================================================&quot;);</span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment">        FPrintln(file,&quot; ================== &quot; + m_Player.ToString() +&quot; ================== &quot;);</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment">        FPrintln(file, &quot;================================================================&quot;);</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span><span class="comment">        </span></div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="comment">        for(int i = 0; i &lt; m_PlayerStats.Count(); i++)</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span><span class="comment">        {</span></div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span><span class="comment">            array&lt;PlayerStatRecord&gt; records =  m_PlayerStats.Get(i).GetRecords();</span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">            </span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment">            FPrintln(file, m_PlayerStats.Get(i).GetLabel() );</span></div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span><span class="comment">            </span></div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span><span class="comment">            for(int z = 0; z &lt; records.Count(); z++)</span></div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span><span class="comment">            {</span></div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span><span class="comment">                PlayerStatRecord record = records.Get(z);</span></div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span><span class="comment">                string output = record.GetStringOutput();</span></div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span><span class="comment">                FPrintln(file, output);</span></div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span><span class="comment">            }</span></div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="comment">        }</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span><span class="comment">        */</span></div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    }</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a2a60afa135b1f280da371ca19a253bb5">  106</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a2a60afa135b1f280da371ca19a253bb5">SaveStats</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsWriteContext</a> ctx )</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>    {</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordtype">int</span> current_version = <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().<a class="code hl_function" href="../../d2/de6/class_c_game.html#a434de0ca997e9550638f621788e93ca4">SaveVersion</a>();</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <a class="code hl_class" href="../../da/d44/class_player_stats_p_c_o___base.html">PlayerStatsPCO_Base</a> pco = <a class="code hl_function" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">GetPCO</a>(current_version);</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        </div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        <span class="keywordflow">if</span> ( pco )</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        {</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>            pco.OnStoreSave(ctx);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>            <span class="comment">//Print(&quot;Saving stats in version: &quot;+ pco.GetVersion());</span></div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        }</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>        {</div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>        }</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>    }</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span> </div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a5f9deb1552266affd7c08e3e1948bfe1">  122</a></span>    <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a5f9deb1552266affd7c08e3e1948bfe1">LoadStats</a>( <a class="code hl_class" href="../../d0/dc2/class_serializer.html">ParamsReadContext</a> ctx, <span class="keywordtype">int</span> version )</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    {</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        <a class="code hl_class" href="../../da/d44/class_player_stats_p_c_o___base.html">PlayerStatsPCO_Base</a> pco = <a class="code hl_function" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">GetPCO</a>(version);</div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> (pco &amp;&amp; pco.OnStoreLoad(ctx))</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>        {</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>            <span class="comment">//Print(&quot;********* LoadStats loading version: &quot; + pco.GetVersion());</span></div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>            <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        }</div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        <span class="keywordflow">else</span></div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        {</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        }</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>    }</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span> </div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno"><a class="line" href="../../d0/d80/class_player_stats.html#a191a5010cb7e5388c912dd12294b979a">  137</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d0/d80/class_player_stats.html#a191a5010cb7e5388c912dd12294b979a">ResetAllStats</a>()</div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    {</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>        <a class="code hl_function" href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">GetPCO</a>().ResetAllStats();</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>    }</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>}</div>
<div class="ttc" id="a_p_p_e_manager_8c_html_a8045e088b31fe0754fb20cb0a5ff0dc9"><div class="ttname"><a href="../../de/da7/_p_p_e_manager_8c.html#a8045e088b31fe0754fb20cb0a5ff0dc9">Init</a></div><div class="ttdeci">void Init()</div><div class="ttdoc">Launched from 'DayZGame.DeferredInit' to make earlier access, use, and updates impossible (downside o...</div><div class="ttdef"><b>Definition:</b> <a href="../../de/da7/_p_p_e_manager_8c_source.html#l00084">PPEManager.c:84</a></div></div>
<div class="ttc" id="a_player_stats_8c_html_aac7bf2a023a9a375ad9b9125339bb0d6"><div class="ttname"><a href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6">EPSstatsFlags</a></div><div class="ttdeci">EPSstatsFlags</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00001">PlayerStats.c:2</a></div></div>
<div class="ttc" id="a_player_stats_8c_html_aac7bf2a023a9a375ad9b9125339bb0d6a2f0d18fc0d0fa4a6cd92dc328501874d"><div class="ttname"><a href="../../da/daa/_player_stats_8c.html#aac7bf2a023a9a375ad9b9125339bb0d6a2f0d18fc0d0fa4a6cd92dc328501874d">EMPTY</a></div><div class="ttdeci">@ EMPTY</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00003">PlayerStats.c:3</a></div></div>
<div class="ttc" id="aclass_c_game_html_a434de0ca997e9550638f621788e93ca4"><div class="ttname"><a href="../../d2/de6/class_c_game.html#a434de0ca997e9550638f621788e93ca4">CGame::SaveVersion</a></div><div class="ttdeci">proto native int SaveVersion()</div><div class="ttdoc">Returns actual storage version - saving.</div></div>
<div class="ttc" id="aclass_p_c_o_handler_stats_html"><div class="ttname"><a href="../../d3/dac/class_p_c_o_handler_stats.html">PCOHandlerStats</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/_player_stats_p_c_o_8c_source.html#l00003">PlayerStatsPCO.c:4</a></div></div>
<div class="ttc" id="aclass_p_c_o_handler_stats_html_ae73d7d1d2ff30b5f85efe250323b1b9e"><div class="ttname"><a href="../../d3/dac/class_p_c_o_handler_stats.html#ae73d7d1d2ff30b5f85efe250323b1b9e">PCOHandlerStats::GetPCO</a></div><div class="ttdeci">PlayerStatsPCO_Base GetPCO(int version=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/_player_stats_p_c_o_8c_source.html#l00027">PlayerStatsPCO.c:27</a></div></div>
<div class="ttc" id="aclass_player_stat_base_html"><div class="ttname"><a href="../../d7/d7a/class_player_stat_base.html">PlayerStatBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d4/db0/_player_stat_base_8c_source.html#l00001">PlayerStatBase.c:2</a></div></div>
<div class="ttc" id="aclass_player_stats_html"><div class="ttname"><a href="../../d0/d80/class_player_stats.html">PlayerStats</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00006">PlayerStats.c:7</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a0e3fd5adc703bc49e4c1afbe2a6f6598"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a0e3fd5adc703bc49e4c1afbe2a6f6598">PlayerStats::~PlayerStats</a></div><div class="ttdeci">void ~PlayerStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00036">PlayerStats.c:36</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a1853863cde5eb2dc6f499ef455ad04eb"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a1853863cde5eb2dc6f499ef455ad04eb">PlayerStats::Init</a></div><div class="ttdeci">void Init(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00026">PlayerStats.c:26</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a190d007d034d789b7713c98f4629d543"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a190d007d034d789b7713c98f4629d543">PlayerStats::m_System</a></div><div class="ttdeci">string m_System</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00017">PlayerStats.c:17</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a191a5010cb7e5388c912dd12294b979a"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a191a5010cb7e5388c912dd12294b979a">PlayerStats::ResetAllStats</a></div><div class="ttdeci">void ResetAllStats()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00137">PlayerStats.c:137</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a2a60afa135b1f280da371ca19a253bb5"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a2a60afa135b1f280da371ca19a253bb5">PlayerStats::SaveStats</a></div><div class="ttdeci">void SaveStats(ParamsWriteContext ctx)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00106">PlayerStats.c:106</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a38fc46e2db96c77947d231d4d416e6c5"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a38fc46e2db96c77947d231d4d416e6c5">PlayerStats::m_PlayerStatsDebug</a></div><div class="ttdeci">ref array&lt; ref StatDebugObject &gt; m_PlayerStatsDebug</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00009">PlayerStats.c:9</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a3a1cdd20dca30a598a334a2eafbbbd64"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a3a1cdd20dca30a598a334a2eafbbbd64">PlayerStats::SetAllowLogs</a></div><div class="ttdeci">void SetAllowLogs(bool enable)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00061">PlayerStats.c:61</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a5f9deb1552266affd7c08e3e1948bfe1"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a5f9deb1552266affd7c08e3e1948bfe1">PlayerStats::LoadStats</a></div><div class="ttdeci">bool LoadStats(ParamsReadContext ctx, int version)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00122">PlayerStats.c:122</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a67c0ed93fe9a680cdf7403ab52925933"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a67c0ed93fe9a680cdf7403ab52925933">PlayerStats::GetStatObject</a></div><div class="ttdeci">PlayerStatBase GetStatObject(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00042">PlayerStats.c:42</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a788cb0475def17c4d08f0dc533b1a5d2"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a788cb0475def17c4d08f0dc533b1a5d2">PlayerStats::GetDebugInfo</a></div><div class="ttdeci">void GetDebugInfo(array&lt; ref StatDebugObject &gt; objects, int flags)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00071">PlayerStats.c:71</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a7f9cc58b3cb18cfa5a036a6e75042d79"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a7f9cc58b3cb18cfa5a036a6e75042d79">PlayerStats::GetAllowLogs</a></div><div class="ttdeci">bool GetAllowLogs()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00066">PlayerStats.c:66</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a8c0c17afdfb3cb8fa0c53a96304407f2"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a8c0c17afdfb3cb8fa0c53a96304407f2">PlayerStats::m_PCOhandler</a></div><div class="ttdeci">ref PCOHandlerStats m_PCOhandler</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00012">PlayerStats.c:12</a></div></div>
<div class="ttc" id="aclass_player_stats_html_a92c91026dc86a7722585f8a63b669f58"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#a92c91026dc86a7722585f8a63b669f58">PlayerStats::m_AllowLogs</a></div><div class="ttdeci">bool m_AllowLogs</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00016">PlayerStats.c:16</a></div></div>
<div class="ttc" id="aclass_player_stats_html_ab27dbdf79781157043aecbbd21d01007"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#ab27dbdf79781157043aecbbd21d01007">PlayerStats::m_Player</a></div><div class="ttdeci">Man m_Player</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00015">PlayerStats.c:15</a></div></div>
<div class="ttc" id="aclass_player_stats_html_abe94de147cbd807e1ef870c590752f05"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#abe94de147cbd807e1ef870c590752f05">PlayerStats::m_SyncTimer</a></div><div class="ttdeci">ref Timer m_SyncTimer</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00014">PlayerStats.c:14</a></div></div>
<div class="ttc" id="aclass_player_stats_html_ad4478ac6a6f16c3b08a38e88bb83898d"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#ad4478ac6a6f16c3b08a38e88bb83898d">PlayerStats::GatherAllRecords</a></div><div class="ttdeci">void GatherAllRecords()</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00081">PlayerStats.c:81</a></div></div>
<div class="ttc" id="aclass_player_stats_html_ae201f67f37685694568537d507126ebb"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#ae201f67f37685694568537d507126ebb">PlayerStats::PlayerStats</a></div><div class="ttdeci">void PlayerStats(Man player)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00021">PlayerStats.c:21</a></div></div>
<div class="ttc" id="aclass_player_stats_html_af5dd42493182776c934d87a7926f400a"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#af5dd42493182776c934d87a7926f400a">PlayerStats::m_PlayerStats</a></div><div class="ttdeci">ref array&lt; ref PlayerStatBase &gt; m_PlayerStats</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00008">PlayerStats.c:8</a></div></div>
<div class="ttc" id="aclass_player_stats_html_afab204a1a44e37ee667eb69bda843193"><div class="ttname"><a href="../../d0/d80/class_player_stats.html#afab204a1a44e37ee667eb69bda843193">PlayerStats::GetPCO</a></div><div class="ttdeci">PlayerStatsPCO_Base GetPCO(int version=-1)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/daa/_player_stats_8c_source.html#l00031">PlayerStats.c:31</a></div></div>
<div class="ttc" id="aclass_player_stats_p_c_o___base_html"><div class="ttname"><a href="../../da/d44/class_player_stats_p_c_o___base.html">PlayerStatsPCO_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/d65/_player_stats_p_c_o_8c_source.html#l00135">PlayerStatsPCO.c:136</a></div></div>
<div class="ttc" id="aclass_serializer_html"><div class="ttname"><a href="../../d0/dc2/class_serializer.html">Serializer</a></div><div class="ttdoc">Serialization general interface. Serializer API works with:</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc7/_serializer_8c_source.html#l00055">Serializer.c:56</a></div></div>
<div class="ttc" id="aclassarray_html"><div class="ttname"><a href="../../d2/d41/classarray.html">array</a></div><div class="ttdoc">Result for an object found in CGame.IsBoxCollidingGeometryProxy.</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/dcd/_is_box_colliding_geometry_proxy_classes_8c_source.html#l00027">IsBoxCollidingGeometryProxyClasses.c:28</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_f61fac3e195407e8bd798ede36822932.html">Classes</a></li><li class="navelem"><a class="el" href="../../dir_2b2b0077c5e32868430aaccffd5fb6fa.html">PlayerStats</a></li><li class="navelem"><a class="el" href="../../da/daa/_player_stats_8c.html">PlayerStats.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
